/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model187
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model187 {
  @SerializedName("external_policy_number")
  private String externalPolicyNumber = null;

  @SerializedName("subscription_country")
  private String subscriptionCountry = null;

  @SerializedName("quote_code")
  private String quoteCode = null;

  @SerializedName("price")
  private PolicyPrice price = null;

  @SerializedName("addons")
  private Addons addons = null;

  @SerializedName("policy_holder")
  private Model183 policyHolder = null;

  @SerializedName("beneficiaries")
  private Model185 beneficiaries = null;

  @SerializedName("consents")
  private Model161 consents = null;

  @SerializedName("payment")
  private Model186 payment = null;

  public Model187 externalPolicyNumber(String externalPolicyNumber) {
    this.externalPolicyNumber = externalPolicyNumber;
    return this;
  }

   /**
   * External policy identifier that can be provided by the partner.
   * @return externalPolicyNumber
  **/
  @ApiModelProperty(value = "External policy identifier that can be provided by the partner.")
  public String getExternalPolicyNumber() {
    return externalPolicyNumber;
  }

  public void setExternalPolicyNumber(String externalPolicyNumber) {
    this.externalPolicyNumber = externalPolicyNumber;
  }

  public Model187 subscriptionCountry(String subscriptionCountry) {
    this.subscriptionCountry = subscriptionCountry;
    return this;
  }

   /**
   * Country where the customer subscribes the policy, ISO-3166-1 alpha-2 format (2 letter codes).
   * @return subscriptionCountry
  **/
  @ApiModelProperty(example = "fr", value = "Country where the customer subscribes the policy, ISO-3166-1 alpha-2 format (2 letter codes).")
  public String getSubscriptionCountry() {
    return subscriptionCountry;
  }

  public void setSubscriptionCountry(String subscriptionCountry) {
    this.subscriptionCountry = subscriptionCountry;
  }

  public Model187 quoteCode(String quoteCode) {
    this.quoteCode = quoteCode;
    return this;
  }

   /**
   * Quote code, partner can use a default value if provided by AXA or got it with quoting API.
   * @return quoteCode
  **/
  @ApiModelProperty(example = "d41d8cd98f00b204e9800998ecf8427e", required = true, value = "Quote code, partner can use a default value if provided by AXA or got it with quoting API.")
  public String getQuoteCode() {
    return quoteCode;
  }

  public void setQuoteCode(String quoteCode) {
    this.quoteCode = quoteCode;
  }

  public Model187 price(PolicyPrice price) {
    this.price = price;
    return this;
  }

   /**
   * Get price
   * @return price
  **/
  @ApiModelProperty(required = true, value = "")
  public PolicyPrice getPrice() {
    return price;
  }

  public void setPrice(PolicyPrice price) {
    this.price = price;
  }

  public Model187 addons(Addons addons) {
    this.addons = addons;
    return this;
  }

   /**
   * Get addons
   * @return addons
  **/
  @ApiModelProperty(value = "")
  public Addons getAddons() {
    return addons;
  }

  public void setAddons(Addons addons) {
    this.addons = addons;
  }

  public Model187 policyHolder(Model183 policyHolder) {
    this.policyHolder = policyHolder;
    return this;
  }

   /**
   * Get policyHolder
   * @return policyHolder
  **/
  @ApiModelProperty(required = true, value = "")
  public Model183 getPolicyHolder() {
    return policyHolder;
  }

  public void setPolicyHolder(Model183 policyHolder) {
    this.policyHolder = policyHolder;
  }

  public Model187 beneficiaries(Model185 beneficiaries) {
    this.beneficiaries = beneficiaries;
    return this;
  }

   /**
   * Get beneficiaries
   * @return beneficiaries
  **/
  @ApiModelProperty(value = "")
  public Model185 getBeneficiaries() {
    return beneficiaries;
  }

  public void setBeneficiaries(Model185 beneficiaries) {
    this.beneficiaries = beneficiaries;
  }

  public Model187 consents(Model161 consents) {
    this.consents = consents;
    return this;
  }

   /**
   * Get consents
   * @return consents
  **/
  @ApiModelProperty(value = "")
  public Model161 getConsents() {
    return consents;
  }

  public void setConsents(Model161 consents) {
    this.consents = consents;
  }

  public Model187 payment(Model186 payment) {
    this.payment = payment;
    return this;
  }

   /**
   * Get payment
   * @return payment
  **/
  @ApiModelProperty(value = "")
  public Model186 getPayment() {
    return payment;
  }

  public void setPayment(Model186 payment) {
    this.payment = payment;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model187 model187 = (Model187) o;
    return Objects.equals(this.externalPolicyNumber, model187.externalPolicyNumber) &&
        Objects.equals(this.subscriptionCountry, model187.subscriptionCountry) &&
        Objects.equals(this.quoteCode, model187.quoteCode) &&
        Objects.equals(this.price, model187.price) &&
        Objects.equals(this.addons, model187.addons) &&
        Objects.equals(this.policyHolder, model187.policyHolder) &&
        Objects.equals(this.beneficiaries, model187.beneficiaries) &&
        Objects.equals(this.consents, model187.consents) &&
        Objects.equals(this.payment, model187.payment);
  }

  @Override
  public int hashCode() {
    return Objects.hash(externalPolicyNumber, subscriptionCountry, quoteCode, price, addons, policyHolder, beneficiaries, consents, payment);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model187 {\n");
    
    sb.append("    externalPolicyNumber: ").append(toIndentedString(externalPolicyNumber)).append("\n");
    sb.append("    subscriptionCountry: ").append(toIndentedString(subscriptionCountry)).append("\n");
    sb.append("    quoteCode: ").append(toIndentedString(quoteCode)).append("\n");
    sb.append("    price: ").append(toIndentedString(price)).append("\n");
    sb.append("    addons: ").append(toIndentedString(addons)).append("\n");
    sb.append("    policyHolder: ").append(toIndentedString(policyHolder)).append("\n");
    sb.append("    beneficiaries: ").append(toIndentedString(beneficiaries)).append("\n");
    sb.append("    consents: ").append(toIndentedString(consents)).append("\n");
    sb.append("    payment: ").append(toIndentedString(payment)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

